Subject: Re: Perl 5.7.2
From: "Gerrit P. Haase" <[email-masked]>
To: Roman Belenov <[email-masked]>
Date: Tue, 9 Oct 2001 14:29:34 +0200

> Roman Belenov schrieb am 2001-10-09 13:31:

>"Gerrit P. Haase" <[email-masked]> writes:
>>Roman Belenov schrieb am 2001-10-09, 11:29:
>>>The problem persists with cygwin1-20011008.dll.bz2
>>I'm looking for an example which breaks gdb.
>I've posted it to the list before. Debugging empty C program -
>consisting of main(){} leads to

Sorry, I cannont reproduce it, I use two Boxes, NT 4.0 Server
and NT 4.0 Workstation, both gdb's work 'as expected' for me
with both, cygwin latest release or cygwin built from cvs:

$ gdb -nw gdbtest
GNU gdb 5.0 (20010428-1)
Copyright 2001 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i686-pc-cygwin"...
(gdb) run
Starting program: /src/mail/gdbtest.exe 

Program exited normally.
(gdb) quit

$ cat gdbtest.c
main(){}

>e:/users/roman/tmp/3 $ gdb --nw a.exe
>GNU gdb 5.0 (20010428-1)
>Copyright 2001 Free Software Foundation, Inc.
>GDB is free software, covered by the GNU General Public License, and you are
>welcome to change it and/or distribute copies of it under certain conditions.
>Type "show copying" to see the conditions. There is absolutely no warranty for
>GDB.  Type "show warranty" for details. This GDB was configured as
>"i686-pc-cygwin"... (gdb) break main Breakpoint 1 at 0x40104d: file 1.c, line
>10. (gdb) run Starting program: /cygdrive/e/users/roman/tmp/3/a.exe gdb: unknown
>target exception 0x000006d1 at 0x77e89b01
>
>Program received signal ?, Unknown signal.
>0x77e89b01 in _libkernel32_a_iname ()
>(gdb) bt
>#0  0x77e89b01 in _libkernel32_a_iname ()
>#1  0x0022f3f8 in ?? ()
>#2  0x77d5935a in _libkernel32_a_iname ()
>#3  0x751511cb in _libkernel32_a_iname ()
>#4  0x751aa02c in _libkernel32_a_iname ()
>#5  0x751a866d in _libkernel32_a_iname ()
>#6  0x61067c48 in _libkernel32_a_iname ()
>#7  0x610681b2 in _libkernel32_a_iname ()
>#8  0x61003c97 in _libkernel32_a_iname ()
>#9  0x61004271 in _libkernel32_a_iname ()
>#10 0x610042b0 in _libkernel32_a_iname ()
>#11 0x0040118b in cygwin_crt0 ()
>(gdb) 

Gerrit

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/